%define major 4
%define minor 6

Name: joe
Version: %{major}.%{minor}
Release: 3
License: GNU General Public License, Version 2
Summary: JOE - Joe's Own Editor
Url: https://joe-editor.sourceforge.io/

BuildRequires: ncurses-devel
BuildRequires: libutil1

Source0: https://sourceforge.net/projects/joe-editor/files/JOE%20sources/joe-%{version}/joe-%{version}.tar.gz

Patch0: utils.c.patch
Patch1: joe-fcntl.patch

%description
JOE is a full featured terminal-based screen editor which is distributed under the GNU General Public License (GPL). JOE has been around since 1988 and comes standard with many Linux distributions.

JOE is being maintained by its original author Joseph Allen, plus all of the people who send bug reports, feature suggestions and patches to the project web site. JOE is hosted by SourceForge.net and its source code is controlled under Mercurial.

JOE is a blending of MicroPro's venerable microcomputer word processor WordStar and Richard Stallman's famous LISP based text editor GNU-EMACS (but it does not use code from either program): most of the basic editing keys are the same as in WordStar as is the overall feel of the editor. JOE also has some of the key bindings and many of the powerful features of EMACS.



%prep
%setup

echo -n "about to patch" 
pwd
%patch0 -p1
%patch1

%build

%configure \
  LDFLAGS="-maix${OBJECT_MODE} -Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  # end

%make_build


%install

%make_install


%files
%defattr(-, qsys, *none)

%{_bindir}/joe
%{_bindir}/jmacs
%{_bindir}/jpico
%{_bindir}/jstar
%{_bindir}/rjoe

%{_mandir}/ru/man1/joe.1
%{_mandir}/man1/joe.1

%{_datadir}/joe/*
%{_datadir}/doc/joe

%{_sysconfdir}/joe/*

%exclude %{_datadir}/applications/*


%changelog
* Tue Jul 16 2019 Mark Irish <mirish@ibm.com> - 4.6
- Fixed Source0 URL

